﻿/* This is for the top card title to split into 3 columns */
.kzcard {
    display: grid;
    grid-template-columns: minmax(100px, 1fr) minmax(0px, auto) minmax(300px, 1fr);
    grid-template-rows: auto;
    grid-gap: 5px;
}

@media only screen and (max-width: 1000px) {
    .kzcard {
        grid-template-columns: auto;
        grid-template-rows: max-content max-content max-content;
    }

        .kzcard > .gridLeft, .kzcard > .gridMiddle, .kzcard > .gridRight {
            padding: 5px;
            margin-left: auto;
            margin-right: auto;
        }

        .kzcard > .gridMiddle {
        }

        .kzcard > .gridRight {
        }
}

.kzpanelitem {
    display: grid;
    grid-template-columns: 40px auto fit-content(40px) fit-content(20px);
    grid-template-rows: auto;
    grid-gap: 0px;
    align-items: center;
}


/* Added Sept 2024 - Support partial view */
.filemetadata {
    box-sizing: border-box;
    display: grid;
    grid-template-columns: 150px 1fr;
}

    .filemetadata .metaLeft {
        font-weight: 600;
    }

    .filemetadata .metaRight {
        color: darkblue;
        padding-right: 15px;
    }

    .filemetadata .metaWideHeader {
        font-weight: 600;
    }

    .filemetadata .metaWide {
        color: darkblue;
        padding-right: 15px;
    }

/* ----------------------- End of Grid Section ----------------------- */

/* Global  */
.text-bsgreen {
    color: #155724;
}

.text-bsred {
    color: #721c24;
}

.g-w-10 {
    width: 10px;
}

.g-w-15 {
    width: 15px;
}

.g-w-20 {
    width: 20px;
}

.g-w-25 {
    width: 25px;
}

.g-w-50 {
    width: 50px;
}

.g-w-80 {
    width: 80px;
}

.g-w-100 {
    width: 100px;
}

.g-w-200 {
    width: 200px;
}

.g-w-250 {
    width: 250px;
}

.g-w-275 {
    width: 275px;
}

.g-w-300 {
    width: 300px;
}

.g-w-325 {
    width: 325px;
}

.g-w-350 {
    width: 350px;
}

.g-w-375 {
    width: 375px;
}

.g-w-400 {
    width: 400px;
}

.g-w-450 {
    width: 450px;
}

.g-w-500 {
    width: 500px;
}

.g-w-600 {
    width: 600px;
}

.g-w-700 {
    width: 600px;
}

.g-w-800 {
    width: 800px;
}

.g-w-1000 {
    width: 1000px;
}

.g-w-1200 {
    width: 1200px;
}

.g-w-1400 {
    width: 1400px;
}



.g-h-300 {
    height: 300px;
}

.g-h-200 {
    height: 200px;
}

.g-hpct-100 {
    height: 100%;
}


.g-wpct-100 {
    width: 100%;
}

.g-wpct-80 {
    width: 80%;
}

.g-wpct-85 {
    width: 85%;
}

.g-wpct-90 {
    width: 90%;
}


/*----------*/
.customCardHdr {
    background-color: #6D8AB1 !important;
    color: white !important;
}


.btn-specifier {
    color: #ffffff;
    background-color: #6D8AB1;
    border-color: #6D8AB1;
}

    .btn-specifier:hover,
    .btn-specifier:focus,
    .btn-specifier:active,
    .btn-specifier.active,
    .open .dropdown-toggle.btn-specifier {
        color: #ffffff;
        background-color: #7b91ae;
        border-color:;
    }

    .btn-specifier:active,
    .btn-specifier.active,
    .open .dropdown-toggle.btn-specifier {
        background-image: none;
    }

    .btn-specifier.disabled,
    .btn-specifier[disabled],
    fieldset[disabled] .btn-specifier,
    .btn-specifier.disabled:hover,
    .btn-specifier[disabled]:hover,
    fieldset[disabled] .btn-specifier:hover,
    .btn-specifier.disabled:focus,
    .btn-specifier[disabled]:focus,
    fieldset[disabled] .btn-specifier:focus,
    .btn-specifier.disabled:active,
    .btn-specifier[disabled]:active,
    fieldset[disabled] .btn-specifier:active,
    .btn-specifier.disabled.active,
    .btn-specifier[disabled].active,
    fieldset[disabled] .btn-specifier.active {
        background-color: #6D8AB1;
        border-color:;
    }

    .btn-specifier .badge {
        color: #6D8AB1;
        background-color: #ffffff;
    }


/*colors*/
.bg-specifier {
    background-color: #6D8AB1;
}

.text-specifier {
    color: #6D8AB1;
}

.bwhite {
    border: 1px solid white !important;
}

.bwhite {
    border: 1px solid yellow !important;
}

.bblue {
    border: 2px solid blue !important;
}

.bred {
    border: 4px solid red !important;
}

.bgreen {
    border: 4px solid green !important;
}

.bgray {
    border: 1px solid gray !important;
}

.bgray2 {
    border: 2px solid gray !important;
}

.bSearchGray {
    border-left: 1px solid #DBDFE9 !important;
    border-top: 1px solid #DBDFE9 !important;
    border-bottom: 1px solid #DBDFE9 !important;
}

.bs3green {
    color: #dff0d8;
}

.bs3greenb {
    color: #d6e9c6;
}

.bs3greend {
    color: #3c763d;
}

.bs3blue {
    color: #d9edf7;
}

.bs3blueb {
    color: #bce8f1;
}

.bs3blued {
    color: #31708f;
}

.bs3yellow {
    color: #fcf8e3;
}

.bs3yellowb {
    color: #faebcc;
}

.bs3yellowd {
    color: #8a6d3b;
}

.bs3red {
    color: #f2dede;
}

.bs3redb {
    color: #ebccd1;
}

.bs3redd {
    color: #a94442;
}


.bg-b3green {
    background-color: #dff0d8 !important;
}

.bg-b3greenb {
    background-color: #d6e9c6;
}

.bg-b3greend {
    background-color: #3c763d;
}

.bg-b3blue {
    background-color: #d9edf7;
}

.bg-b3blueb {
    background-color: #bce8f1;
}

.bg-b3blued {
    background-color: #31708f;
}

.bg-b3yellow {
    background-color: #fcf8e3;
}

.bg-b3yellowb {
    background-color: #faebcc;
}

.bg-b3yellowd {
    background-color: #8a6d3b;
}


.bg-b3red {
    background-color: #f2dede;
}

.bg-b3redb {
    background-color: #ebccd1;
}

.bg-b3redd {
    background-color: #a94442;
}

.bg-white {
    background-color: white;
}

.pageResutList {
}

    .pageResutList .danger1 {
        background-color: #f8d7da; /* bs alert red */
        color: #721c24;
        border-color: #f5c6cb;
        text-align: center;
        font-weight: 600;
    }

    .pageResutList .success1 {
        text-align: center;
        background-color: #d4edda; /* bs alert green */
        color: #155724;
        border-color: #c3e6cb;
        font-weight: 600;
    }

.formTextLine {
    background-color: #6D8AB1;
    color: white;
}


.cardModel {
    text-align: left;
}

    .cardModel .a6header, .cardModel .a6footer {
        background-color: #6D8AB1 !important;
        color: white !important;
    }

.reqfield {
    color: red;
    font-size: 8px;
}

.formerror {
    color: red;
}
/* Add Form Table */

.recentAddTable {
    background-color: #fefefe;
    border-color: #fdfdfe;
}

    /*added Jan 2025*/
    .recentAddTable .boolFalse {
        display: inline-block;
        min-width: 50px;
        font-weight: 800;
        border: 1px solid #721c24;
    }

    /*added Jan 2025*/
    .recentAddTable .boolTrue {
        display: inline-block;
        min-width: 50px;
        font-weight: 800;
        border: 1px solid #155724;
    }

    .recentAddTable .headRow {
        background-color: #6D8AB1;
    }

    .recentAddTable .headRow2 {
        background-color: #6D8AB1;
        font-size: 1.3em;
        color: white;
    }

    .recentAddTable .ctr {
        text-align: center;
    }

    .recentAddTable .rht {
        text-align: right;
    }

    .recentAddTable .fw700 {
        font-weight: 700;
    }

    .recentAddTable table {
        border-radius: 10px;
    }

    .recentAddTable .table-hover td:hover {
        background-color: yellow !important;
    }

.fs1_3em {
    font-size: 1.3em;
}


/*----------------------------------------------------*/
/* -------------------------------------------------- */
.ac20darkblue {
    background-color: #0F2238; /* Navy/Dark Blue: # 0F2238 */
}

.ac20teal {
    background-color: #00EDCA; /* Teal/Aqua: # 00EDCA */
}

.ac20yellow {
    background-color: #FFCB2E; /* Yellow: #FFCB2E */
}

.ac20grey {
    background-color: #7E7E7D; /* Grey: #7E7E7D */
}

.ac20violet {
    background-color: #8A6678; /* Violet: #8A6678 */
}

.ac20liteviolet {
    background-color: #B09DB0; /* Lite Violet: #B09DB0 */
}


.ac20blue {
    background-color: #426896; /*  Blue : #426896 */
}

.acRegGreen {
    background-color: #1da8b2; /*  New Unify Green : #0ABF53 */
}

.g-bg-acGreen {
    background-color: #1da8b2 !important;
}


.g-brd-acgreen {
    border-color: #1da8b2 !important;
}

.g-acgreen {
    color: #1da8b2 !important;
}

.g-acblue {
    color: #426896 !important;
}
